import React from 'react';
// $FlowFixMe
import { StyleSheet, View } from 'react-native';
import styles from './Elevation.styles';

type Props = {
  borderRadius: number,
  children: React.Node,
  level: number,
};

const Elevation = ({ borderRadius = 0, children, level }: Props) => {
  const elevationStyles = StyleSheet.flatten([
    styles.transition,
    styles[`shadow--${level}`],
    { backgroundColor: 'rgba(255, 255, 255, 1)' },
    borderRadius && { borderRadius },
  ]);
  return <View style={elevationStyles}>{children}</View>;
};

export default Elevation;
